### What is this?

"magic-webfonts" is an web font generated from fontawesome 6.4.2 pro. It includes more than 30k icons. You can easily import and use it as css classes

### How to install?

One of them:

npm - `npm install magic-webfonts`
yarn - `yarn install magic-webfonts`
pnpm - `pnpm install magic-webfonts`

### How to use?

#### 1. Import

Import all:
import it in js:
`import "magic-webfonts";`

Or

import it in css:
`@import url("node_modules/magic-webfonts/index.min.css");

#### 2. Select icon you want to use from https://fontawesome.com/search

#### 3. Copy DOM element from fontawesome and paste them into your project:

`<i class="fa-solid fa-house"></i>`

### Notes:

### 1. In some cases, if you want to remove unused css classes:

Because this library is built in the form of css classes, during actual use, it is inevitable that there will be unused classes, affecting the performance of the web. We recommend you a very useful tool: PurgeCSS. It will help you remove unused CSS classes, helping to optimize web performance, we tested it and it works perfectly. This is its home page: https://v1.purgecss.com/
